sc::ReadMolecularHessian(3)

NAME
sc::ReadMolecularHessian - ReadMolecularHessian is an implementation of MolecularHessian that reads the hessian from a file.

SYNOPSIS

#include <hess.h>

Inherits sc::MolecularHessian.

  Public Member Functions
ReadMolecularHessian (const Ref< KeyVal > &)
The ReadMolecularHessian KeyVal constructor is used to generate a ReadMolecularHessian object from the input.
ReadMolecularHessian (StateIn &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
RefSymmSCMatrix cartesian_hessian ()
Return the hessian in cartesian coordinates.

  Protected Attributes
char * filename_

Detailed Description

ReadMolecularHessian is an implementation of MolecularHessian that reads the hessian from a file.

Constructor & Destructor Documentation

  sc::ReadMolecularHessian::ReadMolecularHessian (const Ref< KeyVal > &)

The ReadMolecularHessian KeyVal constructor is used to generate a ReadMolecularHessian object from the input.

It reads the keywords below.

KeywordTypeDefaultDescription filenamestringbasename .hessThe name of the file from which the hessian is read.

Member Function Documentation

  void sc::ReadMolecularHessian::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::MolecularHessian.

Author

Generated automatically by Doxygen for MPQC from the source code.